Bug 1950407 - network kube-rbac-proxy scripts crashloop rather than non-crash looping
Summary: network kube-rbac-proxy scripts crashloop rather than non-crash looping
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 4.6
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.6.z
Assignee: Dan Winship
QA Contact: zhaozhanqi
URL:
Whiteboard:
Depends On: 1885002
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-04-16 14:57 UTC by OpenShift BugZilla Robot
Modified: 2021-08-20 16:04 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: At install time, the sdn pods were not correctly dealing with the partially-installed state of the cluster, and could end up repeatedly crashing and being restarted until other parts of the install had completed. Consequence: Kubelet will put the crashing pods into "CrashLoopBackoff", and wait longer and longer before restarting them after each crash, eventually causing the installation process to stall for, eg, 10 minutes, while waiting for the sdn pods to come back, resulting in a noticeably slower installation process. (The install should still succeed, it's just slower than expected.) Fix: The sdn pods now correctly check the cluster state and wait until the install has reached a point where they can proceed. Result: The pods do not crash, so there are no restarts and no delays.
Clone Of:
Environment:
Last Closed: 2021-05-12 12:18:10 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-network-operator pull 1061 0 None open [release-4.6] Bug 1950407: Fix kube-rbac-proxy startup scripts 2021-04-16 14:57:25 UTC
Red Hat Product Errata RHBA-2021:1487 0 None None None 2021-05-12 12:18:29 UTC

Comment 3 zhaozhanqi 2021-05-06 03:20:53 UTC
Verified this bug on 4.6.0-0.nightly-2021-05-03-000315

Comment 5 errata-xmlrpc 2021-05-12 12:18:10 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.6.28 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2021:1487


Note You need to log in before you can comment on or make changes to this bug.